package com.liquidnet.client.admin.web.controller.zhengzai.adam;

import com.liquidnet.client.admin.common.annotation.Log;
import com.liquidnet.client.admin.common.core.controller.BaseController;
import com.liquidnet.client.admin.common.core.domain.AjaxResult;
import com.liquidnet.client.admin.common.core.page.TableDataInfo;
import com.liquidnet.client.admin.common.enums.BusinessType;
import com.liquidnet.client.admin.common.utils.poi.ExcelUtil;
import com.liquidnet.client.admin.zhengzai.adam.service.IAdamUserAdminService;
import com.liquidnet.service.adam.entity.AdamUser;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 用户Controller
 * 
 * @author ruoyi
 * @date 2021-05-24
 */
@Controller
@RequestMapping("local")
public class LocalAdminController extends BaseController
{
    private String prefix = "zhengzai/stone";

    @Autowired
    private IAdamUserAdminService adamUserService;


    @GetMapping("/integralList")
    public String integralList()
    {
        return prefix + "/integralList";
    }
    @GetMapping("/integralStore")
    public String integralStore()
    {
        return prefix + "/integralStore";
    }
    @GetMapping("/LuckyDraw")
    public String LuckyDraw()
    {
        return prefix + "/LuckyDraw";
    }
    @GetMapping("/integralOrder")
    public String integralOrder()
    {
        return prefix + "/integralOrder";
    }
    @GetMapping("/integralDetail")
    public String integralDetail()
    {
        return prefix + "/integralDetail";
    }

}
